Draws a part of the map on the screen.

---

#### Syntax:
```lua
map(dx,dy,x,y,w,h,sw,sh)
```

---

#### Arguments:

* **<dx\> (Number)**: The top-left corner x position to draw the map on.
* **<dy\> (Number)**: The top-left corner y position to draw the map on.
* **[x] (Number) (0)**: The top-left cell x position of the map drawing section.
* **[y] (Number) (0)**: The top-left cell y position of the map drawing section.
* **[w] (Number) (MapWidth)**: The width in cells of the map drawing section.
* **[h] (Number) (MapHeight)**: The height in cells of the map drawing section.
* **[sw] (Number) (1)**: The cells width scale factor.
* **[sh] (Number) (1)**: The cells height scale factor.